org.apache.ignite.events

## Class ClusterTagUpdatedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.ClusterTagUpdatedEvent

- All Implemented Interfaces:
    Serializable, Comparable<Event>, Event

      public class ClusterTagUpdatedEvent
      extends EventAdapter

  Event type indicating that cluster tag has been updated.
  See Also:
    `EventType.EVT_CLUSTER_TAG_UPDATED`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterTagUpdatedEvent(ClusterNode node, String msg, UUID clusterId, String prevTag, String newTag)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UUID` | `clusterId()` Cluster ID which tag was updated.
    `String` | `newTag()` Value of cluster tag after update request that triggered this event.
    `String` | `previousTag()` Value of cluster tag before update request that triggered this event.

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterTagUpdatedEvent

          public ClusterTagUpdatedEvent(ClusterNode node,
                                        String msg,
                                        UUID clusterId,
                                        String prevTag,
                                        String newTag)

      Parameters:
        `node` - Node on which the event was fired.
        `msg` - Optional event message.
        `clusterId` - ID of cluster which tag was updated.
        `prevTag` - Previous cluster tag replaced during update.
        `newTag` - New cluster tag.

  - ### Method Detail

    - #### clusterId

          public UUID clusterId()

      Cluster ID which tag was updated.
      Returns:
        UUID of cluster.

    - #### previousTag

          public String previousTag()

      Value of cluster tag before update request that triggered this event.
      Returns:
        Previous value of tag.

    - #### newTag

          public String newTag()

      Value of cluster tag after update request that triggered this event.
      Returns:
        New value of tag.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023